Package com.smartgwt.client.types

# Enum MenuFieldID

java.lang.Object
java.lang.Enum<MenuFieldID>
com.smartgwt.client.types.MenuFieldID

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<MenuFieldID>`, `Constable`

public enum MenuFieldID extends Enum<MenuFieldID> implements ValueEnum
Simple string identifiers for standard menu fields.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ICON`
  Displays the icon field for the menu.
  `KEY`
  Displays the key field for the menu.
  `SUBMENU`
  Field to display the submenu image for items that have a submenu.
  `TITLE`
  Displays the item's title

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static MenuFieldID`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MenuFieldID[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ICON

    public static final MenuFieldID ICON
    Displays the icon field for the menu. This field contains the items specified icon (if there is one), or if the item is checked, the &#010 checkmark icon for the item.

  - ### TITLE

    public static final MenuFieldID TITLE
    Displays the item's title

  - ### KEY

    public static final MenuFieldID KEY
    Displays the key field for the menu. This field contains the name or title of any shortcut keys for this menu item.

  - ### SUBMENU

    public static final MenuFieldID SUBMENU
    Field to display the submenu image for items that have a submenu.

- ## Method Details

  - ### values

    public static MenuFieldID[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MenuFieldID valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`